%global tarname mtools
Name:       open-%{tarname}
Version:    1.0
Release:    5%{?dist}
Summary:    Tools for testing IP multicast
# README.txt:           Public Domain
# mpong.c:              BSD
# TestNet/docbook.css:  BSD
License:    Public Domain and BSD
URL:        https://community.informatica.com/solutions/informatica_%{tarname}
Source0:    http://%{name}.googlecode.com/files/%{tarname}.%{version}.zip

%description
This package contains the msend, mdump, and mpong tools to aid in testing
multicast networks.

%prep
%setup -q -n %{tarname}
# Delete precompiled binaries
rm -r AIX-* Darwin-* FreeBSD-* Linux-* SunOS-* Win2k-*
# Fix EOLs
for F in README.txt; do
    tr -d "\r" < "$F" > "${F}.unix"
    touch -r "$F" "${F}.unix"
    mv "${F}.unix" "${F}"
done

%build
for F in *.c; do
    cc %{optflags} "$F" -o "${F%.c}" $(test "$F" = 'mpong.c' && printf -- '-lm')
done

%install
install -d %{buildroot}%{_bindir}
for F in *.c; do
    install -t %{buildroot}%{_bindir} "${F%.c}"
done

%files
%doc README.txt TestNet/*
%{_bindir}/*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Sep 18 2013 Petr Pisar <ppisar@redhat.com> - 1.0-1
- 1.0 version packaged
